Subject: Re: [RFC] Questions for "Git User's Survey 2011"

From: Jakub Narebski <[email-masked]>
Date: Tue, 26 Jul 2011 12:37:42 +0200

On Mon, 25 Jul 2011, Phil Hord wrote:
> On 07/25/2011 04:33 PM, Jakub Narebski wrote:

> > NOTES:
> > ^^^^^^
> > How to detect if it is msysGit or Cygwin from within?  Perhaps we
> > should have just "MS Windows"...
> 
> I think it's useful to know which build they're using, cygwin or msys. 
> Hopefully it's not too confusing for them and they can answer correctly.

Well, there is this option for those confused:

 + some MS Windows (unknown or other)

I should probably add

 + operating system independent (JGit, Dulwich, git.js, ...)
 
> > === 11. What Git interfaces, implementations and frontends do you use? ===
> > (multiple choice, with other)
> >
> >  + JGit (Java implementation), e.g. via Eclipse plugin
> >  + NGit or Git# (C# implementation)
> >  + Dulwich (pure-Python implementation)
> >  + Git::PurePerl (Perl implementation)
> >  + git.js (JavaScript)
> >  + libgit2 bindings
> >
> >  + git (core) commandline
> >  + Cogito (DEPRECATED)
> >  + Easy Git
> >  + Pyrite
> >  + I don't know, I only use (graphical) tools
> >
> >  + pg aka Patchy Git (DEPRECATED)
> >  + StGIT
> >  + Guilt
> >  + TopGit
> >
> >  + Zit
> >
> >  + other (please specify)
> 
> You can probably drop pg and Cogito now, yes?

Yes, I think they can be dropped now.  They were important in previous
years to check if people are still using those deprecated porcelains,
but nowadays I don't think it is necessary.
 
> Looking at the 2010 results, I would add these GUIs to the main list:
> git-gui (core)
> gitk (core)
> gitX
> gitg
> git-cola
> TortoiseGit
> SmartGit
> Git Extensions
> Giggle

Hmmm... they can be considered "frontends", but there are too many GUIs
there to add them all.  They are in a way in "12. What kind of Git tools
do you use?"

Perhaps it would be good idea to add free-form (because of sheer number
of git tools) to write git tools etc. that one uses.
 
> Is there room for Gerrit here, or maybe in one of the other questions?
> Also, cgit and other web interfaces, I suppose.

They are in "12. What kind of Git tools do you use?".

> > === 16. Which of the following Git features do you use? ===
> > (multiple choice, with other)
> >
> >  + localization of command-line messages (i18n)
> >  + git bundle (off-line transport)
[...]
> >  + one-way interaction with other SCMs (from SCM to git)
> >  + two-way interaction with other SCMs (from SCM to git, from git to SCM)
> >
> >  + git-cvsserver
> >  + git notes
> >
> >
> >  + Other, please specify
> >
> > NOTES:
> > ^^^^^^
> > The problem is come up not with exhaustive list of features: there are
> > too many of them to list.  The problem is coming up with list of
> > important and used enough often features.
> >
> > So: what features should be included in this list?  What features
> > should be removed from above list of answers?
> 
> bridges (git-svn, hg-git, git-p4, etc.)

I think they are included in "two-way interaction with other SCMs",
but perhaps that should be made more clear.

> IDE integration (Eclipse, Netbeans, etc.)

This isn't strictly _git_ feature, and is in "12. What kind of Git tools
do you use?" anyway.

Thank you very much for your comments.
-- 
Jakub Narebski
Poland